List dataset columns
Retrieves the list of dataset's columns (fields) with data types and descriptions
GEThttps://api.devalgoseek.com/api/v1/meta/datasets/:dataset_id/columns#
Retrieves the list of dataset's columns (fields) with data types and descriptions
Request#
Path Parameters#
dataset_id Dataset Idrequired
A short internal dataset identifier (unique).
Example:
US1032Responses#
- 200
- 403
- 404
- 422
Successful Response
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
namestringrequired
The name of the data column.
Example:
Tickerdata_typestringrequired
The type of the data column.
Example:
Stringdescriptionstringrequired
A description of what the data column represents.
Example:
The ticker symbol of the instrument.[
{
"name": "Ticker",
"data_type": "String",
"description": "The ticker symbol of the instrument."
}
]
Forbidden
- application/json
No schema
Not Found
- application/json
No schema
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
string
msgstringrequired
typestringrequired
inputInput
ctxobject
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/meta/datasets/:dataset_id/columns");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Response
Click the Send API Request button above and see the response here!